# View all lists Returns all the lists for this user, ordered by count, then by name alphabetically Endpoint: GET /v1/lists Version: 5.0.0.0 Security: api_key_bearer ## Query parameters: - `Fields` (array) A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-" Enum: "ListID", "ListName", "ListType", "TotalCount", "GroupName", "-ListID", "-ListName", "-ListType", "-TotalCount", "-GroupName" - `ListType` (string) Type of list between dynamic, static and import. Enum: "dynamic", "static", "import" - `isMonitored` (integer) Whether monitoring, insights & automations are turned on or off. Enum: 0, 1 - `ImportType` (string) For Import lists indicates if the list is focused on matching by property or by person. Enum: "property", "person" - `GroupName` (string) Name of the list group. Example: "My Lists" - `DisplayOrder` (integer) Display order of the list within its group. Example: 1 - `Limit` (integer) Maximum number of records to return. Example: 10 - `Sort` (string) Comma-delimited list of fields upon which to sort. Sortable fields are ListName, TotalCount, and DisplayOrder. - `Dir` (string) Comma-delimited list of directions (asc or desc) for fields provided in Sort param. For instance if you were sorting on A ascending first, then on B descending (in cases of multiple identical values of A) you would specify &Sort=A,B&Dir=asc,desc This field doesn't apply for DisplayOrder which is always ascending. Enum: "desc", "asc" ## Response 200 fields (application/json): - `results` (array) - `results.ListID` (integer) Unique identifier for the list. - `results.ListName` (string) Name displayed and identifier for the list. Will be truncated to 50 chars - `results.ListType` (string) [Type of list](#tag/Lists) between dynamic, static and import. Enum: "dynamic", "static", "import" - `results.TotalCount` (string) The number of items in the list. Example: 27 - `results.GroupName` (string) Name of the list group. Example: "My Lists" ## Response 400 fields (application/json): - `error` (string) A simple explanation of the problem. Not for display to end users. - `eventid` (string) A code in the form xxx-xxx-xxx that can be used for troubleshooting. Also present in headers as X-Radar-Request-Id Example: "abc-123-def" - `message` (string) If present, an explanation suitable for display to end users - `messageTitle` (string) If present, a title suitable for display to end users